Package com.verisign.epp.codec.nameWatch

## Class EPPNameWatchUpdateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPUpdateCmd
    - - com.verisign.epp.codec.nameWatch.EPPNameWatchUpdateCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPNameWatchUpdateCmd
      extends EPPUpdateCmd

  Represents an EPP NameWatch <update> command. The EPP <update> command provides a transform operation that allows a client to modify the attributes of a nameWatch object. In addition to the standard EPP command elements, the <update> command MUST contain a <nameWatch:update> element that identifies the nameWatch namespace and the location of the nameWatch schema. In addition to The <nameWatch:update> element SHALL contain the following child elements:
  - A <nameWatch:roid> element that contains the fully qualified nameWatch roid of the object to be updated. Use `getRoid` and `setRoid` to get and set the element.
  - A <nameWatch:chg> element that contains attribute values to be change to the nameWatch object. Use `getChange` and `setChange` to get and set the element.
  `EPPReponse` is the response associated with `EPPNameWatchUpdateCmd`.
  See Also:
    `EPPResponse`, `EPPNameWatchAddRemove`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPNameWatchUpdateCmd()` | `EPPNameWatchUpdateCmd` default constructor.
    `EPPNameWatchUpdateCmd​(java.lang.String aTransId, java.lang.String aRoid)` | Creates a new EPPNameWatchUpdateCmd object.
    `EPPNameWatchUpdateCmd​(java.lang.String aTransId, java.lang.String aRoid, EPPNameWatchAddRemove aAdd, EPPNameWatchAddRemove aRemove, EPPNameWatchAddRemove aChange)` | `EPPNameWatchUpdateCmd` constructor that takes the required attributes as arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPNameWatchUpdateCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPNameWatchUpdateCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPNameWatchUpdateCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPNameWatchUpdateCmd` with this instance.
    `EPPNameWatchAddRemove` | `getAdd()` | Gets the items to add to the nameWatch.
    `EPPNameWatchAddRemove` | `getChange()` | Gets the items to change to the nameWatch.
    `java.lang.String` | `getKey()` | Gets the key for the NameWatch object, which is the NameWatch ROID.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPNameWatchUpdateCmd`.
    `EPPNameWatchAddRemove` | `getRemove()` | Gets the items to remove from the nameWatch.
    `java.lang.String` | `getRoid()` | Gets the nameWatch name to update.
    `void` | `setAdd​(EPPNameWatchAddRemove aAdd)` | Sets the items to add to the nameWatch.
    `void` | `setChange​(EPPNameWatchAddRemove newChange)` | Sets the items to change to the nameWatch.
    `void` | `setRemove​(EPPNameWatchAddRemove aRemove)` | Sets the items to remove from the nameWatch.
    `void` | `setRoid​(java.lang.String aRoid)` | Sets the nameWatch roid to update.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPUpdateCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameWatchUpdateCmd

          public EPPNameWatchUpdateCmd()

      `EPPNameWatchUpdateCmd` default constructor. The roid is initialized to `null`. The roid and change attributes must be set before invoking `encode`.

    - #### EPPNameWatchUpdateCmd

          public EPPNameWatchUpdateCmd​(java.lang.String aTransId,
                                       java.lang.String aRoid)

      Creates a new EPPNameWatchUpdateCmd object.
      Parameters:
        `aTransId` - DOCUMENT ME!
        `aRoid` - DOCUMENT ME!

    - #### EPPNameWatchUpdateCmd

          public EPPNameWatchUpdateCmd​(java.lang.String aTransId,
                                       java.lang.String aRoid,
                                       EPPNameWatchAddRemove aAdd,
                                       EPPNameWatchAddRemove aRemove,
                                       EPPNameWatchAddRemove aChange)

      `EPPNameWatchUpdateCmd` constructor that takes the required attributes as arguments.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aRoid` - NameWatch name to update.
        `aAdd` - Attributes to add to the nameWatch. `null` if no additions.
        `aRemove` - Attributes to remove to the nameWatch.`null` if no additions.
        `aChange` - Attributes to change to the nameWatch. `null` if no additions.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPNameWatchUpdateCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPNameWatchMapFactory.NS`

    - #### getKey

          public java.lang.String getKey()

      Gets the key for the NameWatch object, which is the NameWatch ROID.
      Overrides:
        `getKey` in class `EPPCommand`
      Returns:
        The NameWatch ROID if set; `null` otherwise.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameWatchUpdateCmd` instance.
      Specified by:
        `doEncode` in class `EPPUpdateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPNameWatchUpdateCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameWatchUpdateCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameWatchUpdateCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPUpdateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameWatchUpdateCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPNameWatchUpdateCmd` with this instance.
      Overrides:
        `equals` in class `EPPUpdateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameWatchUpdateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPNameWatchUpdateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getRoid

          public java.lang.String getRoid()

      Gets the nameWatch name to update.
      Returns:
        NameWatch Roid if defined; `null` otherwise.

    - #### setRoid

          public void setRoid​(java.lang.String aRoid)

      Sets the nameWatch roid to update.
      Parameters:
        `aRoid` - NameWatch Roid

    - #### getChange

          public EPPNameWatchAddRemove getChange()

      Gets the items to change to the nameWatch.
      Returns:
        Object that contains the list of elements to change to the nameWatch if defined; `null` otherwise.

    - #### setChange

          public void setChange​(EPPNameWatchAddRemove newChange)

      Sets the items to change to the nameWatch.
      Parameters:
        `newChange` - Object that contains the list of elements to change to the nameWatch.

    - #### getAdd

          public EPPNameWatchAddRemove getAdd()

      Gets the items to add to the nameWatch.
      Returns:
        Object that contains the list of elements to add to the nameWatch if defined; `null` otherwise.

    - #### setAdd

          public void setAdd​(EPPNameWatchAddRemove aAdd)

      Sets the items to add to the nameWatch.
      Parameters:
        `aAdd` - Object that contains the list of elements to add to the nameWatch.

    - #### getRemove

          public EPPNameWatchAddRemove getRemove()

      Gets the items to remove from the nameWatch.
      Returns:
        Object that contains the list of elements to remove from the nameWatch if defined; `null` otherwise.

    - #### setRemove

          public void setRemove​(EPPNameWatchAddRemove aRemove)

      Sets the items to remove from the nameWatch.
      Parameters:
        `aRemove` - Object that contains the list of elements to remove from the nameWatch.